> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate

> Translate up to 100 texts and 20,000 characters between supported languages.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/translations
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/translations:
    post:
      tags:
        - Audio
        - Translation
      summary: Translate
      description: >-
        Translate up to 100 texts and 20,000 characters between supported
        languages.
      operationId: translate_v1_translations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TranslationRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '400':
          description: >-
            `invalid_texts` outside 1 to 100 texts or above 20,000 characters,
            or `invalid_language`.
        '402':
          description: Not enough credits.
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '503':
          description: >-
            The models are busy or unavailable. Nothing is charged. Try again
            shortly.
components:
  schemas:
    TranslationRequest:
      properties:
        source:
          title: Source
          type: string
        target:
          title: Target
          type: string
        texts:
          items:
            type: string
          title: Texts
          type: array
      required:
        - texts
        - source
        - target
      title: TranslationRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.